Legend problem in MapServer 5.0

Frank Warmerdam warmerdam at POBOX.COM
Fri Nov 2 10:33:37 EDT 2007

Daniel Morissette wrote:
> One big issue that needs to be resolved before we can release 5.0.1 is 
> the requirement for the STYLE= parameter in WMS GetMap request that has 
> been enforced (as required by the spec) in MapServer 5.0.0 but that 
> prevents clients such as Google Earth from connecting to MapServer 5.0.0 
> WMS servers.
> There is a RFC in the making to resolve this:
> http://mapserver.gis.umn.edu/development/rfc/ms-rfc-35


I have reviewed your updates, and I've made one more small change, removing
the "quick and dirty" part.  Permissive mode should be seen as a mechanism to
get the widest possible interoperability with clients (even slightly broken
clients), rather than as a quick and dirty approach.

The other 5.0.1 issue that I think is critical is:


That is, to make sure we don't release 5.0.1 with a non-portable mapparser.c
by accident.  It seems that most of the other pending 5.0.1 milestone bugs
could be easily put off to 5.0.2 in the interest of getting 5.0.1 out the
door within a week or two.

Best regards,
I set the clouds in motion - turn up   | Frank Warmerdam, warmerdam at pobox.com
light and sound - activate the windows | http://pobox.com/~warmerdam
and watch the world go round - Rush    | President OSGeo, http://osgeo.org

More information about the mapserver-users mailing list